## Apache Zeta Components Manual :: File Source for storage_apc_array.php

## Source for file storage_apc_array.php

Documentation is available at storage_apc_array.php

1. <?php
2. /**
3. * File containing the ezcCacheStorageFileApcArrayOptions class.
4. *
5. * Licensed to the Apache Software Foundation (ASF) under one
6. * or more contributor license agreements. See the NOTICE file
7. * distributed with this work for additional information
8. * regarding copyright ownership. The ASF licenses this file
9. * to you under the Apache License, Version 2.0 (the
10. * "License"); you may not use this file except in compliance
11. * with the License. You may obtain a copy of the License at
12. *
13. * http://www.apache.org/licenses/LICENSE-2.0
14. *
15. * Unless required by applicable law or agreed to in writing,
16. * software distributed under the License is distributed on an
17. * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
18. * KIND, either express or implied. See the License for the
19. * specific language governing permissions and limitations
20. * under the License.
21. *
22. * @package Cache
23. * @version //autogentag//
24. * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
25. * @filesource
26. */
28. /**
29. * Option class for APC array storage.
30. *
31. * @property int $permissions
32. * File access permissions specified as an octal integer, default 0644.
33. *
34. * @package Cache
35. * @version //autogentag//
36. */
37. class ezcCacheStorageFileApcArrayOptions extends ezcCacheStorageApcOptions
38. {
39. /**
40. * Constructs an object with the specified values.
41. *
42. * @throws ezcBasePropertyNotFoundException
43. * If $options contains a property not defined.
44. * @throws ezcBaseValueException
45. * If $options contains a property with a value not allowed.
46. * @param array(string=>mixed) $options
47. */
48. public function __construct ( array $options = array() )
49. {
50. $this-> properties ['permissions'] = 0644;
52. parent:: __construct ( $options );
53. }
55. /**
56. * Sets the option $name to $value.
57. *
58. * @throws ezcBasePropertyNotFoundException
59. * If the property $name is not defined.
60. * @throws ezcBaseValueException
61. * If $value is not correct for the property $name.
62. * @param string $name
63. * @param mixed $value
64. * @ignore
65. */
66. public function __set( $name, $value )
67. {
68. switch ( $name )
69. {
70. case "permissions":
71. if ( ! is_int ( $value ) || $value < 0 || $value > 0777 )
72. {
73. throw new ezcBaseValueException ( $name, $value, "int > 0 and <= 0777" );
74. }
75. break;
76. default:
77. parent::__set( $name, $value );
78. return;
79. }
80. $this-> properties [$name] = $value;
81. }
82. }
83. ?>

Documentation generated by phpDocumentor 1.4.3